// @flow
import {
  NativeModules,
} from 'react-native';

const ZKHudManager = NativeModules.ZKHudView;

/**
 * hideAfter == 0 时，callback立刻执行，否则隐藏之后才执行
 */
export function showHudText(text: string, hideAfter: number = 0, callback: () =>void = () => {}) {
  ZKHudManager.showHudMode('MBProgressHUDModeText', text, hideAfter, callback);
}

export function updateHudText(text: string, hideAfter: number = 0, callback: () =>void = () => {}) {
  ZKHudManager.updateText(text, hideAfter, callback);
}

export function showHudSpin(hideAfter: number = 0, callback: () =>void = () => {}) {
  ZKHudManager.showHudMode('MBProgressHUDModeIndeterminate', '', hideAfter, callback);
}

export function hideHud(callback: () =>void = () => {}) {
  ZKHudManager.hideHud(true, callback);
}
